QCA::Random Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::Random:
[legend]

## Public Member Functions

uchar | nextByte ()
SecureArray | nextBytes (int size)
Random & | operator= (const Random &from)
| Random (const QString &provider=QString())
| Random (const Random &from)
Public Member Functions inherited from QCA::Algorithm
| Algorithm (const Algorithm &from)
void | change (const QString &type, const QString &provider)
void | change (Provider::Context *c)
Provider::Context * | context ()
const Provider::Context * | context () const
Algorithm & | operator= (const Algorithm &from)
Provider * | provider () const
Provider::Context * | takeContext ()
QString | type () const

## Static Public Member Functions

static SecureArray | randomArray (int size)
static uchar | randomChar ()
static int | randomInt ()

## Additional Inherited Members

Protected Member Functions inherited from QCA::Algorithm
| Algorithm ()
| Algorithm (const QString &type, const QString &provider)

## Detailed Description

Source of random numbers.

QCA provides a built in source of random numbers, which can be accessed through this class. You can also use an alternative random number source, by implementing another provider.

The normal use of this class is expected to be through the static members - randomChar(), randomInt() and randomArray().

Examples
  randomtest.cpp.

## Constructor & Destructor Documentation

## Random() [1/2]

QCA::Random::Random | ( | const QString & | provider = QString() | ) |

Standard Constructor.

Parameters

  provider | the name of the provider library for the random number generation

References QCA::Algorithm::provider().

Referenced by operator=(), and Random().

## Random() [2/2]

QCA::Random::Random | ( | const Random & | from | ) |

Copy constructor.

Parameters

  from | the Random object to copy from

References Random().

## Member Function Documentation

## operator=()

Random & QCA::Random::operator= | ( | const Random & | from | ) |

Assignment operator.

Parameters

  from | the Random object to copy state from

References Random().

## nextByte()

uchar QCA::Random::nextByte | ( |  | ) |

Provide a random byte.

This method isn't normally required - you should use the static randomChar() method instead.

See also
  randomChar

Examples
  randomtest.cpp.

## nextBytes()

SecureArray QCA::Random::nextBytes | ( | int | size | ) |

Provide a specified number of random bytes.

This method isn't normally required - you should use the static randomArray() method instead.

Parameters

  size | the number of bytes to provide

See also
  randomArray

Examples
  randomtest.cpp.

## randomChar()

uchar QCA::Random::randomChar | ( |  | ) |

static

Provide a random character (byte).

This is the normal way of obtaining a single random char (i.e. 8 bit byte), as shown below:

myRandomChar = QCA::Random::randomChar();
QCA::Random::randomChar
static uchar randomChar()
Provide a random character (byte).

If you need a number of bytes, perhaps randomArray() may be of use.

Examples
  randomtest.cpp.

## randomInt()

int QCA::Random::randomInt | ( |  | ) |

static

Provide a random integer.

This is the normal way of obtaining a single random integer, as shown below:

myRandomInt = QCA::Random::randomInt();
QCA::Random::randomInt
static int randomInt()
Provide a random integer.

Examples
  randomtest.cpp.

## randomArray()

SecureArray QCA::Random::randomArray | ( | int | size | ) |

static

Provide a specified number of random bytes.

// build a 30 byte secure array.
SecureArray arry = QCA::Random::randomArray(30);
QCA::Random::randomArray
static SecureArray randomArray(int size)
Provide a specified number of random bytes.
QCA::SecureArray
Secure array of bytes.
Definition qca_tools.h:317

Parameters

  size | the number of bytes to provide

Examples
  randomtest.cpp.

The documentation for this class was generated from the following file:

- qca_basic.h